Subject: Re: Configured default route or OSPF default route

From: Bhatia Pawan-CPB101 <[email-masked]>
Date: Wed, 28 Jan 2004 17:23:08 -0600

3COM (and now Motorola) routers also prefer static routes over OSPF learned routes. However, there is an option to configure a static route such that the OSPF learned route takes precedence.

regards,
Pawan

-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of Acee Lindem
Sent: Tuesday, January 27, 2004 3:31 PM
To: [email-masked]
Subject: Re: Configured default route or OSPF default route

----- Original Message -----
From: "Abhijit Kumbhare" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, January 27, 2004 5:25 PM
Subject: Configured default route or OSPF default route

> Hello,
>
> If the user has not configured anything - what is the generally
> accepted default preference in most implementations - should the
> configured default route take precedence or the learned (OSPF) default
> route?
>
> I believe Cisco uses the static (configured) default route over the
> learned default route - how do others handle it?

Hi Abhijit,

We, Redback, also will prefer a static route over an OSPF learned route. I think this is the right default since the static route is explicit.  We do allow the preference (aka, administrative distance) to be configured for individual static routes. Additionally, we'll install the a backup OSPF external route (default or otherwise) even if we are advertising an external route ourselves and let the defaulted or configued route preferences sort themselves out in RIB. If we install an OSPF intra or inter area route, we will discontinue advertising an OSPF external route. I think this approach offers the most flexibility.

Thanks,
Acee

> Thanks,
> Abhijit Kumbhare